%{?scl:%scl_package eclipse-ecf}
%{!?scl:%global pkg_name %{name}}

%global tag 	R-Release_HEAD-sdk_feature-104_2013-05-01_11-47-00
%global contextQualifier 201303090712

%define __requires_exclude osgi*

Name:           %{?scl_prefix}eclipse-ecf
Version:        3.6.0
Release:        1%{?dist}
Summary:        Eclipse Communication Framework

License:        EPL
URL:            http://www.eclipse.org/ecf/
Source0:        http://git.eclipse.org/c/ecf/org.eclipse.ecf.git/snapshot/org.eclipse.ecf-%{tag}.tar.bz2
Patch0:			%{pkg_name}-fix-compilation.patch

BuildRequires:  java-devel >= 1.6.0 
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  %{?scl_prefix}eclipse-pde >= 4.2.0-5
BuildRequires:	%{?scl_prefix}httpcomponents-client
BuildRequires:	%{?scl_prefix}httpcomponents-core
BuildRequires:	jakarta-commons-httpclient

BuildArch:      noarch

%description
ECF is a framework for building distributed servers, applications,
 and tools. It provides a modular implementation of the OSGi 4.2
 Remote Services standard, along with support for REST-based and
 SOAP-based remote services, and asynchronous messaging for remote services. 

%package core
Summary:   ECF core bundles
Group:     System Environment/Libraries
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
%{?scl:Requires: %scl_runtime}

%description core
ECF bundles required by eclipse-platform.

%prep
%setup -q -n org.eclipse.ecf-%{tag}
%patch0

#get just the bits we need
mkdir -p ecf/plugins
mkdir -p ecf/features

cp -r releng/features/org.eclipse.ecf.filetransfer{,.httpclient4}.feature \
    ecf/features

#cp -r org.eclipse.ecf.filetransfer.httpclient4.feature ecf/features

cp -r framework/bundles/org.eclipse.ecf ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.identity ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.ssl ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.filetransfer ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4 ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl ecf/plugins

rm -rf `ls | grep -v "ecf"`

find . -type f -name "*.jar" -exec rm {} \;

mkdir -p deps
pushd deps
	ln -s %{_javadir}/httpcomponents/httpclient.jar
	ln -s %{_javadir}/httpcomponents/httpcore.jar
	ln -s /usr/share/java/commons-httpclient.jar
	ln -s %{_javadir}/commons-logging.jar
popd

sed -i -e 's/4.1.0/[4.1.0,5.0.0)/g' ecf/plugins/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF
sed -i -e 's#;bundle-version="1.1.1"##g' ecf/plugins/org.eclipse.ecf.provider.filetransfer.httpclient4/META-INF/MANIFEST.MF
sed -i -e 's#1.1.1#0.0.0#g' ecf/features/org.eclipse.ecf.filetransfer.httpclient4.feature/feature.xml

%build
%{_bindir}/eclipse-pdebuild -f org.eclipse.ecf.filetransfer.feature -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps
%{_bindir}/eclipse-pdebuild -f org.eclipse.ecf.filetransfer.httpclient4.feature -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps 


%install
install -d -m 755 %{buildroot}%{_javadir}/ecf

unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.httpclient4.feature.zip

pushd %{buildroot}%{_javadir}/ecf/eclipse/plugins/
rm -rf org.apache*
popd

%files core
%{_javadir}/ecf
%doc ecf/features/org.eclipse.ecf.filetransfer.feature/license.html
%doc ecf/features/org.eclipse.ecf.filetransfer.feature/about.html

%changelog
* Wed May 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.6.0-1
- Rebase to 3.6.0.

* Fri Mar 29 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.5.7-0.6
- Require only Java 6.

* Thu Mar 21 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.5.7-0.5
- Initial import from Fedora 19.
- Adjustements to RHEL 6.

* Wed Mar 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.5.7-0.4
- Add direct dependency to jakarta-commons-httpclient.

* Wed Mar 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.5.7-0.3
- Symlink deps against /usr/share/java/.

* Fri Mar 15 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.5.7-0.2
- Explicitly build httpclient4 feature.

* Thu Mar 14 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.5.7-0.1
- Update to latest upstream.
- Initial SCLization.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-7
- Use __requires_exclude instead of __provides_exclude.

* Mon Oct 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-6
- Try out __provides_exclude

* Mon Oct 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-5
- Use new way of changing auto required dependencies.

* Fri Oct 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-4
- Don't generate autorreuquire.

* Mon Aug 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-3
- Don't duplicate org.apache* plugins
- Use context qualifier to avoid constant feature version changes.

* Wed Aug 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-2
- Review issues fixed.

* Wed Aug 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-1
- Initial packaging.
